Bug 522994 - KVM Fedora 11 guest networking fails with latest ( kernel.
KVM Fedora 11 guest networking fails with latest ( kernel.
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
: 525348 (view as bug list)
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
Reported: 2009-09-13 00:32 EDT by John Yates
Modified: 2009-10-06 23:12 EDT (History)
11 users (show)

See Also:
Fixed In Version: 0.10.6-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-06 23:12:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of "virsh dumpxml <domain>" (1.40 KB, application/text)
2009-09-25 23:21 EDT, Matt Piermarini
no flags Details

  None (edit)
Description John Yates 2009-09-13 00:32:31 EDT
Description of problem:
KVM Fedora 11 guest networking fails with latest ( kernel.  I have an x86_64 machine running Fedora 11, with the latest updates from yum.  Using the KVM packages that come with the distribution, the machine is hosting a Windows virtual machine, four CentOS virtual machines, and one Fedora 11 virtual machine.  The host machine has two active ethernet ports which are configured as two bridges.  The Windows guest, the Fedora 11 guest, and two of the CentOS guests connect to one of the bridges; the other two CentOS guests connect to the to the other bridge.  All the hosts have fixed IP addresses and are able to connect to the internet.

After loading the latest kernel on the Fedora 11 guest, its network functionality ceased completely, except for being able to ping its own IP address (and possibly the loopback interface; I didn't try that).  While the Fedora 11 guest's network was not working, the network functions of all the other guests and that of the KVM host were working normally.

Restarting the network on the Fedora 11 guest
  /etc/init.d/network restart
reported OK for stopping the network and OK for starting it again.

Rebooting the Fedora 11 guest with the privious kernel ( caused the network functions of the Fedora 11 guest to work normally again.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot Fedora 11 guest with kernel.
Actual results:
No network connectivity to any other machine.

Expected results:
Network connectivity to other guests, KVM host, and the internet.

Additional info:
Comment 1 Chuck Ebbert 2009-09-25 00:16:08 EDT
*** Bug 525348 has been marked as a duplicate of this bug. ***
Comment 2 Justin M. Forbes 2009-09-25 11:40:11 EDT
Can you attach the output of virsh dumpxml <domain-id>?
Comment 3 Matt Piermarini 2009-09-25 23:21:35 EDT
Created attachment 362741 [details]
Output of "virsh dumpxml <domain>"

I submitted the duplicate of this bug, so not the original bug author, but have the exact same problem.
Comment 4 John Yates 2009-09-26 11:31:33 EDT
I create and run my virtual machines from the command line using qemu-img and qemu-kvm, so as far as I know, ther is no <domain-id>.  Here is the command line I use to start the VM in question:

/usr/bin/qemu-kvm -M pc -smp 3 -m 2000 -k en-us -name yosemite -uuid 677e5aed-0eec-ddff-851d-c07a4a0275a2 -vga std -usb -usbdevice mouse -net nic,macaddr=54:52:00:6d:0d:2f,vlan=0,model=virtio -net tap,script=/etc/qemu-br0-ifup -parallel none -no-reboot -pidfile /var/run/libvirt/qemu/yosemite.pid -soundhw es1370 -smb /sata -cdrom /dev/sr0 -boot c -drive file=/opt/kvm/yosemite/yosemite.qcow2,index=0,if=ide,boot=on

Let me know what other information I can provide.  I'm a beginner with VM's so please provide detailed instructions for anyting more I need to do.
Comment 5 Mark McLoughlin 2009-09-29 11:54:57 EDT
Thanks for the report John!

I tried to reproduce this using libvirt and couldn't; it works fine if you use libvirt to start the guest

It turns out the reason for this that libvirt is failing to enable GSO support on the tap device, but using qemu-kvm directly *does* enable GSO support

So, the bug is likely related to GSO - some guest change between 2.6.29 and 2.6.30 broke GSO support; we'll need to figure out that change was and fix it

And we'll also need to figure out why libvirt isn't enabling GSO and fix that too
Comment 6 Mark McLoughlin 2009-09-29 16:46:34 EDT
Okay, I found the problem - we need this commit on the stable-0.10 branch:


It seems the offending qemu.git change that this fixes got backported to the stable-0.10 branch.
Comment 7 Mark McLoughlin 2009-09-29 16:55:24 EDT
Building this for F-11:

* Tue Sep 29 2009 Mark McLoughlin <markmc@redhat.com> - 2:0.10.6-6
- Fix broken virtio-net with 2.6.30 guests (#522994)
Comment 8 Fedora Update System 2009-09-29 17:25:30 EDT
qemu-0.10.6-6.fc11 has been submitted as an update for Fedora 11.
Comment 9 Fedora Update System 2009-09-30 20:04:59 EDT
qemu-0.10.6-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qemu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10147
Comment 10 Fedora Update System 2009-10-06 23:12:36 EDT
qemu-0.10.6-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.